Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.exception
Class InvalidBlobContentConnectorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.technicalconnector.exception.TechnicalConnectorException
                      be.ehealth.business.mycarenetcommons.exception.InvalidBlobContentConnectorException

All Implemented Interfaces:
  Serializable

    public class InvalidBlobContentConnectorException

extends TechnicalConnectorException

Thrown when the content of the blob is invalid.
Used in ChapterIV

See Also:
  Serialized Form

Constructor Summary
`InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, Blob blob)`
`InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, Blob blob, byte[] decompressedBlob, Object... params)`
`InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, Blob blob, Object... params)`
`InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, Blob blob, Throwable e, Object... params)`
`InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue, byte[] decompressedBlob)`

Method Summary
`Blob` | `getBlob()`
`byte[]` | `getDecompressedBlob()`

Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException
`getCategory`

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidBlobContentConnectorException

    public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                Blob blob,
                                                byte[] decompressedBlob,
                                                Object... params)

Parameters:
  `errorCodeValue` -
  `causeError` -
  `params` -

### InvalidBlobContentConnectorException

    public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                Blob blob,
                                                Object... params)

Parameters:
  `errorCodeValue` -
  `causeError` -
  `params` -

### InvalidBlobContentConnectorException

    public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                Blob blob)

### InvalidBlobContentConnectorException

    public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                byte[] decompressedBlob)

### InvalidBlobContentConnectorException

    public InvalidBlobContentConnectorException(InvalidBlobContentConnectorExceptionValues errorCodeValue,
                                                Blob blob,
                                                Throwable e,
                                                Object... params)

Parameters:
  `errorCodeValue` -
  `e` -
  `params` -

Method Detail

### getDecompressedBlob

    public byte[] getDecompressedBlob()

  Returns:
    the decompressedBlob

### getBlob

    public Blob getBlob()

  Returns:
    the blob

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.